ByteQueueNode Class Reference

## Public Member Functions

| ByteQueueNode (size_t maxSize)
size_t | MaxSize () const
size_t | CurrentSize () const
bool | UsedUp () const
void | Clear ()
size_t | Put (const byte *begin, size_t length)
size_t | Peek (byte &outByte) const
size_t | Peek (byte *target, size_t copyMax) const
size_t | CopyTo (BufferedTransformation &target, const std::string &channel=DEFAULT_CHANNEL) const
size_t | CopyTo (BufferedTransformation &target, size_t copyMax, const std::string &channel=DEFAULT_CHANNEL) const
size_t | Get (byte &outByte)
size_t | Get (byte *outString, size_t getMax)
size_t | TransferTo (BufferedTransformation &target, const std::string &channel=DEFAULT_CHANNEL)
size_t | TransferTo (BufferedTransformation &target, lword transferMax, const std::string &channel=DEFAULT_CHANNEL)
size_t | Skip (size_t skipMax)
byte | operator[] (size_t i) const

## Public Attributes

ByteQueueNode * | next
SecByteBlock | buf
size_t | m_head
size_t | m_tail

## Detailed Description

Definition at line 15 of file queue.cpp.

The documentation for this class was generated from the following file:

- queue.cpp